LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XTransitionFactory Interface Reference

TransitionFactory interface to request optional custom Transition instances for slide show transitions. More...

`import"XTransitionFactory.idl";`

Inheritance diagram for XTransitionFactory:

## Public Member Functions
boolean | hasTransition ([in] short transitionType, [in] short transitionSubType)
| Checks whether this instance provides an implementation for given transition id. More...
XTransition | createTransition ([in] short transitionType, [in] short transitionSubType, [in] long transitionFadeColor, [in] XSlideShowView view, [in] com::sun::star::rendering::XBitmap leavingBitmap, [in] com::sun::star::rendering::XBitmap enteringBitmap)
| Actually create a transition for the given transition id. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

TransitionFactory interface to request optional custom Transition instances for slide show transitions.

This interface provides the necessary methods to query and create optional transition effects for a SlideShow

Since
  OOo 2.4

## Member Function Documentation

## ◆ createTransition()

XTransition createTransition | ( | [in] short | transitionType,
|  | [in] short | transitionSubType,
|  | [in] long | transitionFadeColor,
|  | [in] XSlideShowView | view,
|  | [in] com::sun::star::rendering::XBitmap | leavingBitmap,
|  | [in] com::sun::star::rendering::XBitmap | enteringBitmap
| ) |  |

Actually create a transition for the given transition id.

Parameters

  transitionType | Main type of transition (

See also
  com::sun::star::animations::TransitionType)

Parameters

  transitionSubType | Subtype for the transition (

See also
  com::sun::star::animations::TransitionSubType)

Parameters

  transitionFadeColor | Color to use (for some transitions)
  view | Slide show view to display on
  leavingBitmap | Bitmap of the slide that's going to leave the screen
  enteringBitmap | Bitmap of the slide that's going to enter the screen

## ◆ hasTransition()

boolean hasTransition | ( | [in] short | transitionType,
|  | [in] short | transitionSubType
| ) |  |

Checks whether this instance provides an implementation for given transition id.

The documentation for this interface was generated from the following file:

- com/sun/star/presentation/XTransitionFactory.idl